Date.prototype.getActualMonth = getActualMonth;
Date.prototype.getActualDay = getActualDay;
Date.prototype.getCalendarDay = getCalendarDay;
Date.prototype.getCalendarMonth = getCalendarMonth;

function getActualMonth() {
  var n = this.getMonth();
  n += 1;
  return n;
}

function getActualDay() {
  var n = this.getDay();
  n += 1;
  return n;
}

function getCalendarDay(dateToday) {
  var n = dateToday.getDay();
  var dow = new Array(7);
  dow[0] = "Sun";
  dow[1] = "Mon";
  dow[2] = "Tue";
  dow[3] = "Wed";
  dow[4] = "Thu";
  dow[5] = "Fri";
  dow[6] = "Sat";
  return dow[n];
}

function getCalendarMonth(dateToday) {
  var n = dateToday.getMonth();
  var moy = new Array(12);
  moy[0] = "Jan";
  moy[1] = "Feb";
  moy[2] = "Mar";
  moy[3] = "Apr";
  moy[4] = "May";
  moy[5] = "Jun";
  moy[6] = "Jul";
  moy[7] = "Aug";
  moy[8] = "Sep";
  moy[9] = "Oct";
  moy[10] = "Nov";
  moy[11] = "Dec";
  return moy[n];
}

function showDateString() {
  var today = new Date();
  var strg = "";

  strg = strg + (today.getDate() <10 ? "0" : "") + today.getDate();
  strg = strg + " ";
  strg = strg + today.getCalendarMonth(today);
  strg = strg + " ";
  strg = strg + today.getFullYear();

  
  document.write(strg);
}

function Monday() {
	var today = new Date();
	daynumber = today.getDay(); // 0 = monday, 6 = sunday
	if (daynumber > 0) daynumber-=1;
	else daynumber += 6; // Previous week...
	adjust = daynumber*1000*60*60*24;
	theMonday = new Date(today.getTime() - adjust);
	theNow = new Date(today.getTime());

	var strg = "";
	
	strg = strg + (theMonday.getDate() <10 ? "0" : "") + theMonday.getDate();
	strg = strg + " ";
	strg = strg + theMonday.getCalendarMonth(theMonday);
	strg = strg + " ";
	strg = strg + theMonday.getFullYear();
 
  document.write(strg);
}
